import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');
let fruits;

// Buy 5 apples.
const makeFruit = type => ({ type });
fruits = range(5).map(() => makeFruit('apple'));

const render = () => {
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height')
  });
};

render();

// Eat an apple.
setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

// Replacing an apple with a lemon.
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000);

// Eat an lemon.
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 2)
  render();
}, 4000);

// Replacing an apple with kiwi.
setTimeout(() => {
  fruits[1].type = 'kiwi';
  render();
}, 5000);

// Eat an apple.
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 0)
  render();
}, 6000);

// Eat All.
setTimeout(() => {
  fruits.pop();
  fruits.pop();
  render();
}, 7000);